package com.ruoyi;


import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.generator.util.IOSToeknUtils;

/**
 * @Classname TestIOSLogin
 * @Description 测试IOS登录
 * @Date 2023/3/23
 * @Created by Goden
 */
public class TestIOSLogin {
    public static void main(String[] args) {
        // 请求的JWT
        String identityToken = "eyJraWQiOiJlWGF1bm1MIiwiYWxnIjoiUlMyNTYifQ." +
                "eyJpc3MiOiJodHRwczovL2FwcGxlaWQuYXBwbGUuY29tIiwiYXVkIjoiY29tLmRpeWl5aW4ub25saW5lNTMiLCJl" +
                "eHAiOjE1OTc2NTAxNzQsImlhdCI6MTU5NzY0OTU3NCwic3ViIjoiMDAxMzc3LmQ0ZDVmMTAwODQ0ZTQzZjdiMWM1O" +
                "WRiMzUyZWZkZmI4LjAyNTkiLCJjX2hhc2giOiJkTDVRdld2VTNjVHBxczNSazlUTnRBIiwiZW1haWwiOiI0OTk4O" +
                "TY1MDdAcXEuY29tIiwiZW1haWxfdmVyaWZpZWQiOiJ0cnVlIiwiYXV0aF90aW1lIjoxNTk3NjQ5NTc0LCJub25jZV9" +
                "zdXBwb3J0ZWQiOnRydWV9." +
                "hM9HjNsMJW2PjYP7SfbzF-GqOt0VnMjYGq4BoU68rkQ-K2lPp_ae5ziX6Bbr3WHg" +
                "6cc3Z8OzGO63OfExvSj9gQTR596CZLvNGXhbI3piTK6597-cYsPCTbY7xHxgdHLuL8XhD-9dXPn9rouVYu4QA1" +
                "8JBQG1Q4sGsRzLEJ5DjOM9x1bkBz4Vu_5LEOefHFHkWN_RPCh_AOJGviDzm81kTkCTWn8jpm0tGdevMR93MOf44" +
                "f7bjP2T8yezl0Vbv09TrnkdAqG0BsihCD0VN9JV7X2eagyumoxTdFfoRiOflFKAaQqohVzcqy9tHOGm_6w5h8bsR" +
                "CmtBC4PnqIFqNy_AQ";
        // 解码后的消息体
        JSONObject playloadObj = IOSToeknUtils.parserIdentityToken(identityToken);

        System.out.println(playloadObj);


        Boolean success;
        try {
            success = IOSToeknUtils.verifyExc(identityToken, playloadObj);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

        if (!success) {
            // TODO 校验token失败具体操作
            return;
        }

        // TODO 检验token成功具体业务操作。。。
    }
}
