package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityArticleCollect;
import com.ruoyi.generator.vo.RecommendAndCollectVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityArticleCollectMapper extends BaseMapper<CommunityArticleCollect> {
    /**
     * 获取登录用户文章推荐和收藏
     * @param userId 用户id
     */
    List<RecommendAndCollectVo> selectRecommendAndCollectByUserId(@Param("userId") Long userId,
                                                                  @Param("offset") int offset,
                                                                  @Param("limit") int limit,
                                                                  @Param("searchType") int searchType);
    //刷新全部已读用
    List<RecommendAndCollectVo> selectRecommendAndCollectByUserId2(@Param("userId") Long userId,
                                                                  @Param("searchType") int searchType);
}
