package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityFeedbackUser;
import com.ruoyi.generator.vo.CommunityFeedbackUserVo;
import com.ruoyi.generator.vo.CommunityReportUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author fangqing
 * @date 2025/6/13 10:51
 */
@Mapper
public interface CommunityFeedbackUserMapper  extends BaseMapper<CommunityFeedbackUser> {


    /**
     * 查询用户反馈的具体信息
     * @param offset
     * @param limit
     * @return
     */
    List<CommunityFeedbackUserVo> selectFeedbackUserVo               (@Param("offset") int offset,
                                                                      @Param("limit") int limit,
                                                                      @Param("searchType") int searchType,
                                                                      @Param("id") Long  id,
                                                                      @Param("type") Long  type,
                                                                      @Param("userId") String  userId,
                                                                      @Param("isChoice") Boolean  isChoice,
                                                                      @Param("isReply") Boolean  isReply);
}
