package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author fangqing
 * @date 2025/7/18 9:21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityCircleEditVo {

    /**
     * 编辑类型
     */
    @ApiModelProperty("type")
    private Long type;

    /**
     * 一级Id
     */
    @ApiModelProperty("oneId")
    private Long oneId;

    /**
     * 二级Id
     */
    @ApiModelProperty("oneId")
    private Long twoId;

    /**
     * 二级名称
     */
    @ApiModelProperty("twoName")
    private String twoName;

    /**
     * 二级图片
     */
    @ApiModelProperty("twoImg")
    private String twoImg;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
