package com.ruoyi.generator.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
*
* @TableName community_user_info
*/
@Data
public class CommunityUserReportVo implements Serializable {


    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 用户状态
     */
    @ApiModelProperty("用户状态")
    private String userState;

    /**
     * 更新时间
     */
    @ApiModelProperty("封禁截止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /**
     * 相差多少分钟
     */
    @ApiModelProperty("相差多少分钟")
    private Long minutes;

}
